Bug 123530 - Install hangs on /sbin/loader when installing on a Dell Inspiron 3200 Laptop
Install hangs on /sbin/loader when installing on a Dell Inspiron 3200 Laptop
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 00:47 EDT by Adam Browning
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 19:05:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Browning 2004-05-19 00:47:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When running the install program on a Dell Inspiron 3200 laptop, it
gets to the point where it says "running /sbin/loader".  It seems the
hang, then the CD starts spining and does not stop and nothing
happens.  This laptop was able to install FC1 before.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot laptop with FC2 CD 1
2. Select either graphical or text install
3. CD spins up at /sbin/loader and continues to spin until hard reset
    

Actual Results:  The laptop stalls at the /sbin/loader line, the CD
continues to spin, and nothing happens.  Laptop must be reset.

Expected Results:  Typical graphical installer

Additional info:

This laptop has a PII 266MHz CPU, 96MB of RAM, and a 6GB hard drive.
Comment 1 Jeremy Katz 2004-05-19 22:11:17 EDT
Does booting with 'linux nousb' help?
Comment 2 Joe Orton 2004-05-28 08:52:28 EDT
*** Bug 112742 has been marked as a duplicate of this bug. ***
Comment 3 Joe Orton 2004-05-28 08:53:54 EDT
Bad dup, sorry.
Comment 4 Jeremy Katz 2004-06-21 19:05:13 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this bug report.
Comment 5 Jeremy Katz 2004-06-21 19:10:37 EDT
Closing due to inactivity.  Please reopen if you have further information to add
to this bug report.
Comment 6 Phil B. 2004-06-24 09:29:34 EDT
Can you re-open this bug.  I'm having the very same problem on 
similar hardware.  The problem that I'm seeing (using ALT-F4) is that 
it fails to mount the CD-ROM drive.  The error message indicates that 
the IRQ is lost.  It loops this way infinitely.

My laptop is a Dell Inspiron 3000
200MHz CPU, 144 MB RAM, 3.2GB HD, IDE CD-ROM
Comment 7 Phil B. 2004-06-24 09:50:36 EDT
I noticed in the system messages that it looks to load the IDE-CDROM 
module but FAILS to find it.
Comment 8 Richard 2004-08-26 22:35:18 EDT
I have same problem on Dell Inspiron 3200.  Please reopen.  I have
tried noprobe, nofb, nopcmcia, nousb, mem=144M (yes thats how much mem
I have) , and text.
Comment 9 Tim Chilton 2005-01-22 19:42:13 EST
Spent a lot of time looking at this today and have a solution.

Machine is an old Dell Latitude CP P233 MMX (for a firewall project), 
latest Dell BIOS A16

Install of RH9 works fine, Fedora FC3 hangs on sbin/loader as 
detailed above. When problem exists, tty3 (or 4?) shows "dma 
interrupt recovery" and "lost interrupt" messages on /dev/hdc which 
is the CDROM (a Toshiba XM1902B)

Install will work if you install with "linux ide=nodma"

After the install completes you can change the /etc/grub.conf to take 
out the ide=nodma and add a hdparm -d0 /dev/hdc to /etc/rc.local so 
that the CDROM does not use DMA but the hard disk does (for speed on 
the HDD)

Suggestion : If the installer starts getting lost interrupts, why 
can't it revert from DMA mode to PIO mode, that way it won't crash. 

Dont forget that many ex-Windows PC's had problems with DMA support 
on IDE too which is why most Win installs didn't use DMA mode unless 
you forced it. 

Note You need to log in before you can comment on or make changes to this bug.